## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * Undeclared dependencies (workspace paths removed by cargo publish):
#   wasm_encoder, wast, wat
%bcond_with check
%global debug_package %{nil}

%global crate wasmparser

Name:           rust-wasmparser
Version:        0.215.0
Release:        %autorelease
Summary:        Simple event-driven library for parsing WebAssembly binary files

License:        Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
URL:            https://crates.io/crates/wasmparser
Source:         %{crates_source}
# * Upstream license files
Source2:        https://github.com/bytecodealliance/wasm-tools/raw/v1.215.0/LICENSE-APACHE#/LICENSE-APACHE
Source3:        https://github.com/bytecodealliance/wasm-tools/raw/v1.215.0/LICENSE-Apache-2.0_WITH_LLVM-exception#/LICENSE-Apache-2.0_WITH_LLVM-exception
Source4:        https://github.com/bytecodealliance/wasm-tools/raw/v1.215.0/LICENSE-MIT#/LICENSE-MIT
# Manually created patch for downstream crate metadata changes
# * Drop benchmark-only dependency 'criterion'
Patch:          wasmparser-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A simple event-driven library for parsing WebAssembly binary files.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-Apache-2.0_WITH_LLVM-exception
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-hash-maps-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-hash-maps-devel %{_description}

This package contains library source intended for building other packages which
use the "no-hash-maps" feature of the "%{crate}" crate.

%files       -n %{name}+no-hash-maps-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+validate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+validate-devel %{_description}

This package contains library source intended for building other packages which
use the "validate" feature of the "%{crate}" crate.

%files       -n %{name}+validate-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE2} LICENSE-APACHE
cp -pav %{SOURCE3} LICENSE-Apache-2.0_WITH_LLVM-exception
cp -pav %{SOURCE4} LICENSE-MIT

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Oct 26 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.215.0-1
- Update to 0.215.0

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.201.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Mar 20 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.201.0-1
- Unretire and update to 0.201.0 (rhbz#2267098)

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.81.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.81.0-1
- Update to upstream 0.81.0 (fixes rhbz#2009481)

* Wed Sep 22 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.80.1-1
- Update to upstream 0.80.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 24 10:40:36 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.78.2-1
- Update to upstream 0.78.2 (rhbz#1961889)

* Sat May 15 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.78.1-1
- Update to upstream 0.78.1, add license file

* Mon May 10 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.78.0-1
- Update to upstream 0.78.0

* Sun Nov 22 17:23:36 CET 2020 Olivier Lemasle <o.lemasle@gmail.com> - 0.68.0-1
- Initial package

## END: Generated by rpmautospec
